## aiocache 0.12.0

=== debian/changelog ===
aiocache (0.12.0-2) unstable; urgency=medium

  * Add recomments on python3-aiomcache, python3-msgpack, python3-redis

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 12 Feb 2023 13:30:15 +0100

aiocache (0.12.0-1) unstable; urgency=low

  * Initial release (Closes: #1031127)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 12 Feb 2023 07:02:08 +0000

## aiocache 0.12.2

=== Makefile ===
cov-report = true


lint:
	flake8 tests/ aiocache/

install-dev:
	pip install -e .[redis,memcached,msgpack,dev]

pylint:
	pylint --disable=C0111 aiocache

unit:
	coverage run -m pytest tests/ut
	@if [ $(cov-report) = true ]; then\
    coverage combine;\
    coverage report;\
	fi

acceptance:
	pytest -sv tests/acceptance

doc:
	make -C docs/ html

functional:
	bash examples/run_all.sh

performance:
	pytest -sv tests/performance

test: lint unit acceptance functional

_release:
	scripts/make_release

release: test _release

changelog:
	gitchangelog

=== requirements.txt ===
-e .

aiomcache==0.8.0
aiohttp==3.8.3
marshmallow==3.19.0
msgpack==1.0.4
pytest==7.2.0
pytest-asyncio==0.20.3
pytest-cov==4.0.0
pytest-mock==3.10.0
redis==4.4.2

=== debian/changelog ===
aiocache (0.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Aug 2023 08:26:18 +0200

aiocache (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Apr 2023 10:02:36 +0200

=== debian/control ===
Source: aiocache
Section: python
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
               python3-all,
               python3-aiohttp,
               python3-aiomcache,
               python3-marshmallow,
               python3-msgpack,
               python3-pytest,
               python3-pytest-asyncio,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-redis,
               python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/aio-libs/aiocache

Package: python3-aiocache
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends},  python3-aiomcache, python3-msgpack, python3-redis
Suggests: ${python3:Suggests}
Description: multi backend asyncio cache
 Asyncio cache supporting multiple backends (memory, redis and memcached).
 This library aims for simplicity over specialization.
 All caches contain the same minimum interface which consists on the following
 functions:
 .
 - ``add``: Only adds key/value if key does not exist.
 - ``get``: Retrieve value identified by key.
 - ``set``: Sets key/value.
 - ``multi_get``: Retrieves multiple key/values.
 - ``multi_set``: Sets multiple key/values.
 - ``exists``: Returns True if key exists False otherwise.
 - ``increment``: Increment the value stored in the given key.
 - ``delete``: Deletes key and returns number of deleted items.
 - ``clear``: Clears the items stored.
 - ``raw``: Executes the specified command using the underlying client.
 .
  .. role:: python(code)
   :language: python
 .
  .. contents::
 .
  .. section-numbering:
 .
 Usage
 =====
 .
 Using a cache is as simple as
 .
  .. code-block:: python
 .
     >>> import asyncio
     >>> from aiocache import Cache
     >>> cache = Cache(Cache.MEMORY) # Here you can also use Cache.REDIS and Cache.MEMCACHED, default is Cache.MEMORY
     >>> with asyncio.Runner() as runner:
     >>>     runner.run(cache.set('key', 'value'))
     True
     >>>     runner.run(cache.get('key'))
     'value'
 .
 Or as a decorator
 .
  .. code-block:: python
 .
     import asyncio
 .
     from collections import namedtuple
 .
     from aiocache import cached, Cache
     from aiocache.serializers import PickleSerializer
     # With this we can store python objects in backends like Redis!
 .
     Result = namedtuple('Result', "content, status")
 .
 .
     @cached(
         ttl=10, cache=Cache.REDIS, key="key", serializer=PickleSerializer(), port=6379, namespace="main")
     async def cached_call():
         print("Sleeping for three seconds zzzz.....")
         await asyncio.sleep(3)
         return Result("content", 200)
 .
 .
     async def run():
         await cached_call()
         await cached_call()
         await cached_call()
         cache = Cache(Cache.REDIS, endpoint="127.0.0.1", port=6379, namespace="main")
         await cache.delete("key")
 .
     if __name__ == "__main__":
         asyncio.run(run())
 .
 The recommended approach to instantiate a new cache is using the `Cache` constructor.
 However you can also instantiate directly using `aiocache.RedisCache`,
 `aiocache.SimpleMemoryCache` or `aiocache.MemcachedCache`.
 .
 .
 You can also setup cache aliases so its easy to reuse configurations
 .
  .. code-block:: python
 .
   import asyncio
 .
   from aiocache import caches
 .
   # You can use either classes or strings for referencing classes
   caches.set_config({
       'default': {
           'cache': "aiocache.SimpleMemoryCache",
           'serializer': {
               'class': "aiocache.serializers.StringSerializer"
           }
       },
       'redis_alt': {
           'cache': "aiocache.RedisCache",
           'endpoint': "127.0.0.1",
           'port': 6379,
           'timeout': 1,
           'serializer': {
               'class': "aiocache.serializers.PickleSerializer"
           },
           'plugins': [
               {'class': "aiocache.plugins.HitMissRatioPlugin"},
               {'class': "aiocache.plugins.TimingPlugin"}
           ]
       }
   })
 .
 .
   async def default_cache():
       cache = caches.get('default')   # This always returns the SAME instance
       await cache.set("key", "value")
       assert await cache.get("key") == "value"
 .
 .
   async def alt_cache():
       cache = caches.create('redis_alt')   # This creates a NEW instance on every call
       await cache.set("key", "value")
       assert await cache.get("key") == "value"
 .
 .
   async def test_alias():
       await default_cache()
       await alt_cache()
 .
       await caches.get("redis_alt").delete("key")
 .
 .
   if __name__ == "__main__":
       asyncio.run(test_alias())

=== debian/watch ===
# try also https://pypi.debian.net/aiocache/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiocache/aiocache-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aiocache 0.12.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aiocache.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aiocache.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aiocache"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aiocache"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
aiocache (0.12.3-2) unstable; urgency=medium

  * update build and runtime dependencies
  * Bump std-version to 4.7.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 10:14:31 +0200

aiocache (0.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 10:02:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                python3-aiohttp,
                python3-aiomcache,
                python3-marshmallow,
+               python3-memcache,
                python3-msgpack,
                python3-pytest,
                python3-pytest-asyncio,
@@ -14,13 +15,13 @@
                python3-pytest-mock,
                python3-redis,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/aio-libs/aiocache
 
 Package: python3-aiocache
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-Recommends: ${python3:Recommends},  python3-aiomcache, python3-msgpack, python3-redis
+Recommends: ${python3:Recommends}, python3-aiomcache, python3-marshmallow, python3-memcache, python3-msgpack, python3-redis
 Suggests: ${python3:Suggests}
 Description: multi backend asyncio cache
  Asyncio cache supporting multiple backends (memory, redis and memcached).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiocache
%:
	dh $@ --with python3 --buildsystem=pybuild

# requiring internet
override_dh_auto_test:
